Subject: UNIX Interactive Tools 4.3.3 released
From: [email-masked] (Tudor Hulubei)
Date: Mon, 24 Oct 1994 17:56:58 GMT
Newsgroups: comp.os.linux.announce

Unix Interactive Tools 4.3.3
============================

Topics:
=======
        Unix Interractive Tools 4.3.3 available at apolo.cs.pub.ro

    I've uploaded the new version  of  the package Unix Interactive Tools
at apolo.cs.pub.ro, ulise.cs.pub.ro & habarnam.cs.pub.ro. I've just uploaded
it at sunsite.unc.edu but I don't know when it will become available.

    I've finished this version a long time ago, but  due to the fact that
our Internet connection has been suspended, I couldn't  upload / announce
it. Hopefully, the connection is back, and I can send / receive mail and,
sometimes, use the ftp program.

What is new:

- version 4.3.3

	- added support for moving files on MSDOS filesystems.

	- added  support  for  terminals  that  can't  write  on  the  last
	character of the screen without scrolling the entire screen.

	- Alt-k starts diff with the two panels current files as arguments.

	- some cosmetical changes.

	- bug fixes.

- version 4.3.2

	- a lot of work has been done to make the UIT package compile  with
	traditional K&R compilers. I've succesfully compiled it with such a
	compiler on our HP-UX 9000/715.

	- the installation procedure has been  simplified:  UIT 4.3.2  uses
	the 'configure' script! The 'configure' script was  generated  from
	the file configure.in (available in the package) using the autoconf
	utility version 1.11. To install the UIT 4.3.2 package just type:
		./configure
		make
		make install
	The configure script first check for the termcap  library.  If  the
	termcap library is  not  found, some  terminfo  libraries  will  be
	searched: ncurses, curses, termlib, tinfo, terminfo. If you want to
	change this default behaviour and  search  for  terminfo  libraries
	before searching the termcap library, run
		./configure --enable-terminfo
	instead of
		./configure

	- UIT now understands some symbolic key names in the  configuration
	files:  F0, F1, F2, ... F10, UP, DOWN, RIGHT, LEFT, INS, DEL, HOME,
	END, PGUP, PGDOWN. You can still specify  a  key sequence, but, for
	the function & cursor keys, it's a better idea to get them from the
	termcap/terminfo database  if  they  can be  found  there. So,  the
	command for the F1 key on the Linux console (the configuration file
	is .uitrc.console) can be:
		F1  = UIT-HELP; man uit
	or
		^[A = UIT-HELP; man uit
	If some key doesn't have a termcap/terminfo description  (like  the
	F11/F12 keys on the Linux console) you can specify the key sequence
	in the usual way.

	- the UIT package will use the GNU readline library  if  available.
	If this library is not installed on your system, uit will  use  the
	sources for the history and tilde expansion included in the package.
	For Linux systems,  the  DLL  readline  library  version  2.0.1  is
	available at sunsite.unc.edu in the directory /pub/Linux/libs.  The
	package name is librl-2.0.1.tar.gz. This package  also  includes  a
	readline linked ftp, bash-1.14.1 and gdb-4.12  binaries.  The  bash
	binary is about 60k smaller that the SLACKWARE 2.0.0  version  and,
	hold your breath..., the gdb binary is about  500k smaller too. So,
	if you really want things to work better, install this DLL readline
	library.
	UIT will work just fine without it,  but  using  a  shared  library
	generally means shorter binaries ...

	- changes in the configuration files:
		- ^De starts the editor sending the selected files as para-
		meters. So, if you want to edit  multiple  files  at  once,
		select them, then press ^De . The default  editor  is  joe,
		but you  can  use  any  other  editor  if  you  change  the
		corresponding line in the configuration file.
		- ^Dd starts the 'more' viewer sending the  selected  files
		as parameters. See above.
		- ^Du displays on the status bar the result of the  'du -s'
		command
		- ^Df displays on the status bar the  result  of  the  'df'
		command, one line at a time
		- ^Dm displays on the status bar the result of the  'mount'
		command, one line at a time
		- ^Dv displays on the status bar the result of  the  'free'
		command, one line at a time
		- ^Dw displays on the status bar the result of the 'whereis'
		command, one line at a time
		- ^DW displays on the status bar the result of the  'which'
		command, one line at a time
		- ^Dh displays on the status bar the result of the  'users'
		command, one line at a time

	- the file and path names copied to the command line are now quoted
	because files residing on ISO9660  CDs  may  contain  ';'  and  the
	shell will fail to expand the resulting string.

	- three new default actions have been added to the uitaction script
	for *.texi, *.texinfo and *.man. See the uitaction script for  more
	details.

	- 3 bugs have been fixed.

Here it is the lsm entry:

Begin2
Title        = Unix Interactive Tools
Version      = 4.3.3
Desc1        = UIT is a file system browser for UNIX operating systems.
Desc2        = It was tested under Linux, ULTRIX, HP-UX and DEC OSF/1.
Desc3        = Starting with this version, we are using the 'configure'
Desc4        = script, so there is a *BIG* chance that UIT will run on
Desc5        = other systems too.
Desc6        = An interactive process viewer/killer, a hex/ascii file
Desc7        = viewer, an auto-mount shell script and a per file type
Desc8        = action script are available.
Desc9        = Under Linux, the standard ANSI color sequences are used.
Desc10       = A manual page and info documentation are available.
Author       = Tudor Hulubei & Andrei Pitis
AuthorEmail  = [email-masked], [email-masked]
Maintainer   = Tudor Hulubei
MaintEmail   = [email-masked], [email-masked]
Site1        = apolo.cs.pub.ro
Path1        = /pub/linux
File1        = uit-4.3.3.tar.gz
FileSize1    = 
Site2        = habarnam.cs.pub.ro
Path2        = /pub/linux
File2        = uit-4.3.3.tar.gz
FileSize2    = 
Site3        = pub.pub.ro
Path3        = /pub/UnixInteractiveTools
File3        = uit-4.3.3.tar.gz
FileSize3    = 
Site4        = sunsite.unc.edu
Path4        = /pub/Linux/utils/file
File4        = uit-4.3.3.tar.gz
FileSize4    = 
Site5        = tsx-11.mit.edu
Path5        = /pub/linux/sources/usr.bin
File5        = uit-4.3.3.tar.gz
FileSize5    = 
Site6        = garbo.uwasa.fi
Path6        = /unix/uit
File6        = uit-4.3.3.tar.gz
FileSize6    = 
Required1    = Linux, ULTRIX, HP-UX, DEC OSF/1 or other UNIX system with
Required2    = ANSI/POSIX terminals. You will also need a C compiler to
Required3    = compile the UIT stuff and a termcap or terminfo library.
CopyPolicy1  = GNU GPL
Keywords     = uit, uitps, uitview, uitcmp, uitmount, uitmatch, uitkeys
Comment1     = UIT is a very stable program. It's easy to build, just
Comment2     = read the INSTALL file. You may fine tune UIT when running
Comment3     = on serial terminals to allow faster refresh. Just read
Comment4     = the man page/info documentation.
RelFiles1    = .uitrc.console, .uitrc.vt100, .uitrc.vt100, .uitrc.xterm,
RelFiles2    = uit, uitps, uitview, uitcmp, uitmount, uitmatch, uitaction,
RelFiles3    = .uitaction, uit.man, uitaction.man, uitcmp.man, uitkeys.man,
RelFiles4    = uitmount.man, uitmatch.man, uit.texi, .uitrc.hpterm
Entered      = 1SEP94
EnteredBy    = Tudor Hulubei
CheckedEmail = [email-masked], [email-masked]
End

Enjoy !
Tudor Hulubei   [email-masked]

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.